Nano Banana
curl --request POST \
--url https://api.goenhance.ai/api/v1/nano-banana \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "a beautiful girl"
}
'import requests
url = "https://api.goenhance.ai/api/v1/nano-banana"
payload = { "prompt": "a beautiful girl" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'a beautiful girl'})
};
fetch('https://api.goenhance.ai/api/v1/nano-banana', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5"
}
}Nano Banana
Nano Banana API
Pricing: 2 tokens per image (= $0.04).
POST
/
api
/
v1
/
nano-banana
Nano Banana
Headers
Body
application/json
Available options:
auto, 1:1, 16:9, 9:16, 4:3, 3:4, 2:3, 3:2 Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.
Example:
"https://your-server.com/goenhance/callback"
⌘I
